package com.jeeplus.modules.sg.annualmaterialreport.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

/**
 * 新年度物资上报统计实体类
 * @author enford
 */
public class NewMaterialReport extends DataEntity<NewMaterialReport> {
    /**
     * 储备项目名称
     * */
    private String reserveProjectName;
    /**
     * 储备编码
     * */
    private String reserveCode;
    /**
     * 项目类型
     * */
    private String projectType;
    /**
     * 项目计划年度批次
     * */
    private String batchPlan;
    /**
     * 项目正式发文批次
     * */
    private String issuePlan;
    /**
     * 项目年度实施计划（月份）
     * */
    private String monthPlan;
    /**
     * 年度计划有无预测
     * */
    private String hasPlan;
    /**
     * 项目物资执行计划（上半年/下半年）
     * */
    private String halfPlan;
    /**
     * 项目定义
     * */
    private String projectId;
    /**
     * 项目名称
     * */
    private String projectName;
    /**
     * 归属年份
     * */
    private String attributionYear;

    @ExcelField(title="储备项目名称", align=2, sort=1)
    public String getReserveProjectName() {
        return reserveProjectName;
    }

    public void setReserveProjectName(String reserveProjectName) {
        this.reserveProjectName = reserveProjectName;
    }

    @ExcelField(title="储备编码", align=2, sort=2)
    public String getReserveCode() {
        return reserveCode;
    }

    public void setReserveCode(String reserveCode) {
        this.reserveCode = reserveCode;
    }

    @ExcelField(title="项目类型", align=2, sort=3)
    public String getProjectType() {
        return projectType;
    }

    public void setProjectType(String projectType) {
        this.projectType = projectType;
    }

    @ExcelField(title="项目计划年度批次", align=2, sort=4)
    public String getBatchPlan() {
        return batchPlan;
    }

    public void setBatchPlan(String batchPlan) {
        this.batchPlan = batchPlan;
    }

    @ExcelField(title="项目正式发文批次", align=2, sort=5)
    public String getIssuePlan() {
        return issuePlan;
    }

    public void setIssuePlan(String issuePlan) {
        this.issuePlan = issuePlan;
    }

    @ExcelField(title="项目年度实施计划（月份）", align=2, sort=6)
    public String getMonthPlan() {
        return monthPlan;
    }

    public void setMonthPlan(String monthPlan) {
        this.monthPlan = monthPlan;
    }

    @ExcelField(title="年度计划有无预测", align=2, sort=7)
    public String getHasPlan() {
        return hasPlan;
    }

    public void setHasPlan(String hasPlan) {
        this.hasPlan = hasPlan;
    }

    @ExcelField(title="项目物资执行计划（上半年/下半年）", align=2, sort=8)
    public String getHalfPlan() {
        return halfPlan;
    }

    public void setHalfPlan(String halfPlan) {
        this.halfPlan = halfPlan;
    }

    @ExcelField(title="项目定义", align=2, sort=9)
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    @ExcelField(title="项目名称", align=2, sort=10)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    @ExcelField(title="归属年份", align=2, sort=11)
    public String getAttributionYear() {
        return attributionYear;
    }

    public void setAttributionYear(String attributionYear) {
        this.attributionYear = attributionYear;
    }
}
